# Uses of Interface
org.apache.lucene.search.QueryCache

Packages that use QueryCache
Package
Description
org.apache.lucene.search
Code to search indices.

- ## Uses of QueryCache in org.apache.lucene.search

  Classes in org.apache.lucene.search that implement QueryCache
  Modifier and Type
  Class
  Description
  `class`
  `LRUQueryCache`
  A `QueryCache` that evicts queries using a LRU (least-recently-used) eviction policy in order to remain under a given maximum size and number of bytes used.
  Methods in org.apache.lucene.search that return QueryCache
  Modifier and Type
  Method
  Description
  `static QueryCache`
  IndexSearcher.`getDefaultQueryCache()`
  Expert: Get the default `QueryCache` or `null` if the cache is disabled.
  `QueryCache`
  IndexSearcher.`getQueryCache()`
  Return the query cache of this `IndexSearcher`.
  Methods in org.apache.lucene.search with parameters of type QueryCache
  Modifier and Type
  Method
  Description
  `static void`
  IndexSearcher.`setDefaultQueryCache(QueryCache defaultQueryCache)`
  Expert: set the default `QueryCache` instance.
  `void`
  IndexSearcher.`setQueryCache(QueryCache queryCache)`
  Set the `QueryCache` to use when scores are not needed.